package com.zanxiang.game.module.sdk.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author : lingfeng
 * @time : 2022-06-07
 * @description : 客户端类型
 */
@Getter
@AllArgsConstructor
public enum DeviceTypeEnum {

    /**
     * 安卓app
     */
    DEVICE_TYPE_ANDROID(1, "android"),

    /**
     * 苹果app
     */
    DEVICE_TYPE_IOS(2, "ios"),

    /**
     * h5网页
     */
    DEVICE_TYPE_H5(3, "h5"),

    /**
     * 小程序
     */
    DEVICE_TYPE_MINI_APP(4, "miniApp");

    /**
     * 设备类型
     */
    private final Integer deviceType;

    /**
     * 描述
     */
    private final String describe;

    public static DeviceTypeEnum getByDeviceType(Integer deviceType) {
        for (DeviceTypeEnum deviceTypeEnum : DeviceTypeEnum.values()) {
            if (Objects.equals(deviceTypeEnum.getDeviceType(), deviceType)) {
                return deviceTypeEnum;
            }
        }
        return null;
    }
}
